using UnityEngine;

[CreateAssetMenu(fileName = "NewAtlasStyle", menuName = "Furniture/Atlas Style")]
public class AtlasStyleSO : ScriptableObject
{
    public string styleName;
    public Sprite uiIcon; 
    
    [Header("Координаты (Тайлинг 1,1)")]
    public Vector4 atlasRect = new Vector4(1, 1, 0, 0); 

    [Header("Материал")]
    [Range(0f, 1f)] public float metallic = 0f; // Сила металла
    [Range(0f, 1f)] public float smoothness = 0.5f; // Гладкость (блики)

    [Header("Эмиссия (Свечение)")]
    public bool useEmission = false;
    // HDR-цвет (позволяет выкручивать яркость больше 1 для эффекта Bloom)
    [ColorUsage(false, true)] public Color emissionColor = Color.white;

    [Header("Для предпросмотра в редакторе")]
    public Texture2D previewAtlas; 
}